# HG changeset patch
# Node ID b2b8c04c77f3
# Parent  635a129a289d
diff --git a/libpurple/debug.h b/libpurple/debug.h
--- a/libpurple/debug.h
+++ b/libpurple/debug.h
@@ -27,13 +27,6 @@
 #ifndef PURPLE_DEBUG_H
 #define PURPLE_DEBUG_H
 
-/**
- * SECTION:debug
- * @section_id: libpurple-debug
- * @short_description: Developer Logging API
- * @title: Debug API
- */
-
 #include <glib.h>
 #include <glib-object.h>
 
diff --git a/libpurple/eventloop.h b/libpurple/eventloop.h
--- a/libpurple/eventloop.h
+++ b/libpurple/eventloop.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_EVENTLOOP_H
 #define PURPLE_EVENTLOOP_H
-/**
- * SECTION:eventloop
- * @section_id: libpurple-eventloop
- * @short_description: <filename>eventloop.h</filename>
- * @title: Event Loop API
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/glibcompat.h b/libpurple/glibcompat.h
--- a/libpurple/glibcompat.h
+++ b/libpurple/glibcompat.h
@@ -21,15 +21,6 @@
 
 #ifndef PURPLE_GLIBCOMPAT_H
 #define PURPLE_GLIBCOMPAT_H
-/*
- * SECTION:glibcompat
- * @section_id: libpurple-glibcompat
- * @short_description: <filename>glibcompat.h</filename>
- * @title: GLib version-dependent definitions
- *
- * This file is internal to libpurple. Do not use!
- * Also, any public API should not depend on this file.
- */
 
 #include <glib.h>
 
diff --git a/libpurple/group.h b/libpurple/group.h
--- a/libpurple/group.h
+++ b/libpurple/group.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_GROUP_H
 #define PURPLE_GROUP_H
-/**
- * SECTION:group
- * @section_id: libpurple-group
- * @short_description: <filename>group.h</filename>
- * @title: Buddy, Chat, Contact and Group node Objects
- */
 
 #include "countingnode.h"
 
diff --git a/libpurple/idle.h b/libpurple/idle.h
--- a/libpurple/idle.h
+++ b/libpurple/idle.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_IDLE_H
 #define PURPLE_IDLE_H
-/**
- * SECTION:idle
- * @section_id: libpurple-idle
- * @short_description: <filename>idle.h</filename>
- * @title: Idle API
- */
 
 #include <time.h>
 #include <glib-object.h>
diff --git a/libpurple/image-store.h b/libpurple/image-store.h
--- a/libpurple/image-store.h
+++ b/libpurple/image-store.h
@@ -25,12 +25,9 @@
 
 #ifndef PURPLE_IMAGE_STORE_H
 #define PURPLE_IMAGE_STORE_H
+
 /**
- * SECTION:image-store
- * @include:image-store.h
- * @section_id: libpurple-image-store
- * @short_description: a global, temporary storage for images
- * @title: Image store
+ * PurpleImageStore:
  *
  * Image store references #PurpleImage's by a simple integer value.
  * It's a convenient way to embed images in HTML-like strings.
diff --git a/libpurple/image.h b/libpurple/image.h
--- a/libpurple/image.h
+++ b/libpurple/image.h
@@ -26,22 +26,6 @@
 #ifndef PURPLE_IMAGE_H
 #define PURPLE_IMAGE_H
 
-/**
- * SECTION:image
- * @include:image.h
- * @section_id: libpurple-image
- * @short_description: implementation-independent image data container
- * @title: Images
- *
- * #PurpleImage object is a container for raw image data. It doesn't manipulate
- * image data, just stores it in its binary format - png, jpeg etc. Thus, it's
- * totally independent from the UI.
- *
- * This class also provides certain file-related features, like: friendly
- * filenames (not necessarily real filename for displaying); remote images
- * (which data is not yet loaded) or guessing file format from its header.
- */
-
 #include <glib-object.h>
 
 /**
@@ -64,6 +48,18 @@
 G_BEGIN_DECLS
 
 /**
+ * PurpleImage:
+ *
+ * #PurpleImage object is a container for raw image data. It doesn't manipulate
+ * image data, just stores it in its binary format - png, jpeg etc. Thus, it's
+ * totally independent from the UI.
+ *
+ * This class also provides certain file-related features, like: friendly
+ * filenames (not necessarily real filename for displaying); remote images
+ * (which data is not yet loaded) or guessing file format from its header.
+ */
+
+/**
  * purple_image_get_type:
  *
  * Returns: the #GType for an image.
diff --git a/libpurple/internal.h b/libpurple/internal.h
--- a/libpurple/internal.h
+++ b/libpurple/internal.h
@@ -21,12 +21,6 @@
 
 #ifndef PURPLE_INTERNAL_H
 #define PURPLE_INTERNAL_H
-/*
- * SECTION:internal
- * @section_id: libpurple-internal
- * @short_description: <filename>internal.h</filename>
- * @title: Internal definitions and includes
- */
 
 #if !defined(PURPLE_GLOBAL_HEADER_INSIDE) && !defined(PURPLE_COMPILATION)
 # error "only <purple.h> may be included directly"
diff --git a/libpurple/media-gst.h b/libpurple/media-gst.h
--- a/libpurple/media-gst.h
+++ b/libpurple/media-gst.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_GST_H
 #define PURPLE_MEDIA_GST_H
-/**
- * SECTION:media-gst
- * @section_id: libpurple-media-gst
- * @short_description: <filename>media-gst.h</filename>
- * @title: Media Element API
- */
 
 #include "media.h"
 #include "mediamanager.h"
diff --git a/libpurple/media.h b/libpurple/media.h
--- a/libpurple/media.h
+++ b/libpurple/media.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_H
 #define PURPLE_MEDIA_H
-/**
- * SECTION:media
- * @section_id: libpurple-media
- * @short_description: <filename>media.h</filename>
- * @title: Media Object API
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/mediamanager.h b/libpurple/mediamanager.h
--- a/libpurple/mediamanager.h
+++ b/libpurple/mediamanager.h
@@ -25,12 +25,6 @@
 
 #ifndef PURPLE_MEDIA_MANAGER_H
 #define PURPLE_MEDIA_MANAGER_H
-/**
- * SECTION:mediamanager
- * @section_id: libpurple-mediamanager
- * @short_description: <filename>mediamanager.h</filename>
- * @title: Media Manager Object
- */
 
 #include <glib.h>
 #include <glib-object.h>
diff --git a/libpurple/memorypool.h b/libpurple/memorypool.h
--- a/libpurple/memorypool.h
+++ b/libpurple/memorypool.h
@@ -26,26 +26,6 @@
 
 #ifndef PURPLE_MEMORY_POOL_H
 #define PURPLE_MEMORY_POOL_H
-/**
- * SECTION:memorypool
- * @include:memorypool.h
- * @section_id: libpurple-memorypool
- * @short_description: a container for a large number of small chunks of memory
- * @title: Memory pools
- *
- * A #PurpleMemoryPool allows allocating many small objects within a single
- * memory range and releasing them all at once using a single call. This
- * prevents memory fragmentation and improves performance when used properly.
- * It's purpose is to act as an internal storage for other object private
- * structures, like tree nodes, string chunks, list elements.
- *
- * Current implementation is not optimized for releasing individual objects,
- * so it may be extremely inefficient, when misused. On every memory allocation,
- * it checks if there is enough space in current block. If there is not enough
- * room here, it creates another block of memory. On pool destruction or calling
- * #purple_memory_pool_cleanup, the whole block chain will be freed, using only
- * one #g_free call for every block.
- */
 
 #include <glib-object.h>
 
@@ -67,7 +47,18 @@
 /**
  * PurpleMemoryPool:
  *
- * The memory pool object instance.
+ * A #PurpleMemoryPool allows allocating many small objects within a single
+ * memory range and releasing them all at once using a single call. This
+ * prevents memory fragmentation and improves performance when used properly.
+ * It's purpose is to act as an internal storage for other object private
+ * structures, like tree nodes, string chunks, list elements.
+ *
+ * Current implementation is not optimized for releasing individual objects,
+ * so it may be extremely inefficient, when misused. On every memory allocation,
+ * it checks if there is enough space in current block. If there is not enough
+ * room here, it creates another block of memory. On pool destruction or calling
+ * #purple_memory_pool_cleanup, the whole block chain will be freed, using only
+ * one #g_free call for every block.
  */
 struct _PurpleMemoryPool
 {
